/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal;

/**
 * Iterátor ADS, slouží pro procházení celé struktury po jednom prvku
 * @author Administrator
 * @param <objIt> struktura, ve které budou vraceny data z ADL iterátoru
 */
public interface IIterator<objIt> {

    /**
     * Vrací zda-li má ADL další prvek v seznamu (pokud by byl acyklický)
     * @return true = má další prvek
     */
    boolean hasNext();

    /**
     * Posouvá iterátor na další prvek v seznamu a zároveň vrací aktuální
     * datovou strukturu
     * @return obsah datové struktury aktuálního prvku
     */
    objIt next();
}
