/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal_B;

import java.io.Serializable;

/**
 * Struktura osoby od které nadále dědí Vyučující a Student
 * @author Administrator
 */
public class Osoba implements Serializable, IOsoba {

    private String jmeno;
    private String prijmeni;
    private Integer id;

    /**
     * bezparametrický konstruktor - nic nevykonává
     */
    public Osoba() {
    }

    /**
     * Parametrický konsturktor, který nastaví všehcno hosnoty
     * @param jmeno Jménu osoby
     * @param prijmeni Příjmení osoby
     * @param id ID osoby
     */
    public Osoba(String jmeno, String prijmeni, Integer id) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.id = id;
    }

    /**
     * @return the jmeno
     */
    public String getJmeno() {
        return jmeno;
    }

    /**
     * @param jmeno the jmeno to set
     */
    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    /**
     * @return the prijmeni
     */
    public String getPrijmeni() {
        return prijmeni;
    }

    /**
     * @param prijmeni the prijmeni to set
     */
    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    /**
     * @return the id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * Přetížený výpis obsahu struktury
     * @return textový výpis obsahu struktury Osoba
     */
    @Override
    public String toString() {
        return "Jmeno: " + this.getJmeno()
                + " Prijmeni: " + this.getPrijmeni()
                + " ID: " + this.getId();
    }

    /**
     * Porovnání aktuálního a parametrem předaného objektu na shodnost dat
     * @param o porovnávaný objekt
     * @return true = prvky jsou shodné
     */
    @Override
    @SuppressWarnings("EqualsWhichDoesntCheckParameterClass")
    public boolean equals(Object o) {
        IOsoba iOsoba = (IOsoba) o;
        return ((iOsoba.getJmeno() == null ? this.getJmeno() == null : iOsoba.getJmeno().equals(this.getJmeno()))
                && (iOsoba.getPrijmeni() == null ? this.getPrijmeni() == null : iOsoba.getPrijmeni().equals(this.getPrijmeni()))
                && iOsoba.getId() == this.getId());
    }

    /**
     * Automaticky vygenerovaná metoda NetBeansy, nevím k čemu slouží
     * @return číslo hashe
     */
    @Override
    public int hashCode() {
        int hash = 5;
        hash = 43 * hash + (this.jmeno != null ? this.jmeno.hashCode() : 0);
        hash = 43 * hash + (this.prijmeni != null ? this.prijmeni.hashCode() : 0);
        hash = 43 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }
}
