/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal_B;

import java.io.*;

/**
 * Třída umožňující ukládání dat do souboru a jejich opětovné načítání
 * @author Administrator
 */
public class Soubor implements ISoubor {

    private ObjectInputStream inputStream;
    private ObjectOutputStream outputStream;

    /**
     * Bezparametrický konstruktor, nemusel by zde vůbec být, jelikož ho doplní
     * sám překladač
     */
    public Soubor() {
    }

    /**
     * Uložení objektu do souboru
     * @param soubor název souboru
     * @param object datová struktura ukládaná do souboru
     * @throws FileNotFoundException pokud není nalezen/vytvořen soubor
     * @throws IOException chyba při ukládání struktury (např. nedošlo k serializaci dat)
     */
    public void uloz(String soubor, Object object) throws FileNotFoundException, IOException {
        outputStream = new ObjectOutputStream(new FileOutputStream(soubor));
        outputStream.writeObject(object);
        outputStream.close();
    }

    /**
     * Načtení dat ze souboru
     * @param soubor název souboru s daty
     * @return Datová struktura, kterou obsahuje soubor, následně se musí přetypovat
     * @throws IOException
     * @throws ClassNotFoundException
     */
    public Object nacti(String soubor) throws IOException, ClassNotFoundException {
        inputStream = new ObjectInputStream(new FileInputStream(soubor));
        return inputStream.readObject();
    }
}
