/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal_B;

import java.io.Serializable;

/**
 * Třída zapouzdřující informace o studentovi
 * @author Administrator
 */
public class Student extends Osoba implements IStudent, Serializable {

    private Integer rocnik;

    /**
     * Bezparametrický konsturktor
     */
    public Student() {
    }

    /**
     * Parametrický konstruktor
     * @param rocnik Ročník ve kterém je vkládaný student
     */
    public Student(Integer rocnik) {
        this.rocnik = rocnik;
    }

    /**
     * Parametrický konsturktor
     * @param jmeno Jméno studenta
     * @param prijmeni Příjmení studenta
     * @param id ID studenta
     * @param rocnik Ročník ve kterém je vkládaný student
     */
    public Student(String jmeno, String prijmeni, Integer id, Integer rocnik) {
        super(jmeno, prijmeni, id);
        this.rocnik = rocnik;
    }

    /**
     * @return the rocnik
     */
    public Integer getRocnik() {
        return rocnik;
    }

    /**
     * @param rocnik the rocnik to set
     */
    public void setRocnik(Integer rocnik) {
        this.rocnik = rocnik;
    }

    /**
     * Přetížená metoda vracející textový řetězec s informacemi o studentu
     * @return řetězec informací o studentu
     */
    @Override
    public String toString() {
        return super.toString() + " Rocnik: " + this.getRocnik();
    }
}