/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal_B;

import java.io.Serializable;

/**
 * Třída zapouzdřující informace o vyučujícím
 * @author Administrator
 */
public class Vyucujici extends Osoba implements IVyucujici, Serializable {

    private Integer cislo_kancelare;

    /**
     * Bezparametrický konsturktor
     */
    public Vyucujici() {
    }

    /**
     * Parametrický konstruktor
     * @param cislo_kancelare Číslo kanceláře vyučujícího
     */
    public Vyucujici(Integer cislo_kancelare) {
        this.cislo_kancelare = cislo_kancelare;
    }

    /**
     *
     * @param jmeno Jméno vyučujícího
     * @param prijmeni Příjmení vyučujícího
     * @param id ID vyučujícího
     * @param cislo_kancelare Číslo kanceláře vyučujícího
     */
    public Vyucujici(String jmeno, String prijmeni, Integer id, Integer cislo_kancelare) {
        super(jmeno, prijmeni, id);
        this.cislo_kancelare = cislo_kancelare;
    }

    /**
     * @return the cislo_kancelare
     */
    public Integer getCislo_kancelare() {
        return cislo_kancelare;
    }

    /**
     * @param cislo_kancelare the cislo_kancelare to set
     */
    public void setCislo_kancelare(Integer cislo_kancelare) {
        this.cislo_kancelare = cislo_kancelare;
    }

    /**
     * Přetížená metoda vracející textový řetězec s informacemi o vyučujícím
     * @return řetězec informací o vyučujícím
     */
    @Override
    public String toString() {
        return super.toString() + " Cislo kancelare: " + this.getCislo_kancelare();
    }
}
