/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package idats_2009_semestralka_a_MatejTrakal_C;

import idats_2009_semestralka_a_MatejTrakal_B.*;
import java.io.Serializable;

/**
 *
 * @author Administrator
 */
public class Menu implements Serializable {

    ISeznamOsob iSeznamOsob = new SeznamOsob();
    private int id, vlastnost;
    private String jmeno, prijmeni;
    private char udalost;

    public Menu() {
    }

    private void vykresliCaru() {
        System.out.println("---------------------------------");
    }

    public void vypisMenu() {
        for (int i = 0; i < 20; i++) {
            System.out.println("\n");
        }
        vykresliCaru();
        System.out.println("Z klavesnice:");
        System.out.println("\t1. Pridej vyucujiciho");
        System.out.println("\t2. Pridej studenta");
        System.out.println("Z generatoru:");
        System.out.println("\t3. Generuj vyucujici");
        System.out.println("\t4. Generuj studenty");
        System.out.println("Soubor:");
        System.out.println("\t5. Uloz do souboru");
        System.out.println("\t6. Nacti ze souboru");
        System.out.println("\t7. Uloz do text souboru");
        System.out.println("Dalsi operace:");
        System.out.println("\tv: Vypis dat");
        System.out.println("\tz: Zrus seznam");
        System.out.println("\to: Odeber ze seznamu");
        System.out.println("\tn: Najdi v seznamu");
        vykresliCaru();
        System.out.println("k: Konec");
        vykresliCaru();
        this.udalost = Nacitani.NactiRadekChar("Zadej pozadovany prikaz: ");
        pozadavekMenu(udalost);
    }

    private void pozadavekMenu(char udalost) {
        String nazevSouboru;

        switch (udalost) {
            case '1':
                kPridejVyucujiciho();
                break;
            case '2':
                kPridejStudenta();
                break;
            case '3':
                gPridejVyucujiciho(Nacitani.NactiInt("Pocet generovanych hodnot: "));
                break;
            case '4':
                gPridejStudenta(Nacitani.NactiInt("Pocet generovaných hodnot: "));
                break;
            case '5':
                nazevSouboru = Nacitani.NactiRadekStr("Nazev souboru (bez pripony): ");
                iSeznamOsob.ulozDoSouboru(nazevSouboru + ".dta");
                break;
            case '6':
                iSeznamOsob.zrus();
                nazevSouboru = Nacitani.NactiRadekStr("Nazev souboru (bez pripony): ");
                iSeznamOsob.nactiZeSouboru(nazevSouboru + ".dta");
                break;
            case '7':
                nazevSouboru = Nacitani.NactiRadekStr("Nazev souboru (bez pripony): ");
                iSeznamOsob.ulozDoTxtSouboru(nazevSouboru + ".txt");
                break;
            case 'v':
                vypisData();
                break;
            case 'z':
                zrusSeznam();
                break;
            case 'o':
                odeber();
                break;
            case 'n':
                najdi();
                break;
            case 'k':
                System.exit(0);
                break;
            default:
                System.out.println("Neznamy pozadavek\n");
                break;
        }
    }

    private void kZakladniUdaje() {
        this.jmeno = Nacitani.NactiRadekStr(" Zadej jmeno: ");
        this.prijmeni = Nacitani.NactiRadekStr(" Zadej prijmeni: ");
        this.id = Nacitani.NactiInt(" Zadej ID: ");
    }

    private void kPridejVyucujiciho() {
        kZakladniUdaje();
        this.vlastnost = Nacitani.NactiInt(" Zadej cislo kancelare: ");
        this.iSeznamOsob.vloz(new Vyucujici(jmeno, prijmeni, id, vlastnost));
    }

    private void kPridejStudenta() {
        kZakladniUdaje();
        this.vlastnost = Nacitani.NactiInt(" Zadej rocnik: ");
        this.iSeznamOsob.vloz(new Student(jmeno, prijmeni, id, vlastnost));
    }

    private void gPridejVyucujiciho(int pocet) {
        Generator generator = new Generator();
        for (int i = 0; i < pocet; i++) {
            iSeznamOsob.vloz(new Vyucujici(generator.retezec(),
                    generator.retezec(),
                    generator.cislo(),
                    generator.cislo()));
        }
    }

    private void gPridejStudenta(int pocet) {
        Generator generator = new Generator();
        for (int i = 0; i < pocet; i++) {
            iSeznamOsob.vloz(new Student(generator.retezec(),
                    generator.retezec(),
                    generator.cislo(),
                    generator.cislo(1, 5)));
        }
    }

    private void vypisData() {
        iSeznamOsob.vypis();
        Nacitani.NactiRadekStr("Pokracuj");
    }

    private void zrusSeznam() {
        iSeznamOsob.zrus();
    }

    private void odeber() {
        IOsoba iOsoba = new Osoba();
        iOsoba.setJmeno(Nacitani.NactiRadekStr("Zadej jméno: "));
        iOsoba.setPrijmeni(Nacitani.NactiRadekStr("Zadej prijmeni: "));
        iOsoba.setId(Nacitani.NactiInt("Zadej ID: "));
        System.out.println(iSeznamOsob.odeber(iOsoba));
    }

    private void najdi() {
        IOsoba iOsoba = new Osoba();
        iOsoba.setJmeno(Nacitani.NactiRadekStr("Zadej jméno: "));
        iOsoba.setPrijmeni(Nacitani.NactiRadekStr("Zadej prijmeni: "));
        iOsoba.setId(Nacitani.NactiInt("Zadej ID: "));
        System.out.println(iSeznamOsob.najdi(iOsoba));
    }
}
